UHD 003.005.002-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros

### - _ -

- _buffer : uhd::transport::managed_buffer
- _length : uhd::transport::managed_buffer
- _ref_count : uhd::transport::managed_buffer

### - a -

- actual_dsp_freq : uhd::tune_result_t
- actual_rf_freq : uhd::tune_result_t
- ALL_CHANS : uhd::usrp::multi_usrp
- ALL_GAINS : uhd::usrp::multi_usrp
- ALL_MBOARDS : uhd::usrp::multi_usrp
- args : uhd::stream_args_t

### - b -

- bcast : uhd::transport::if_addrs_t
- byteorder : uhd::otw_type_t

### - c -

- channel : uhd::async_metadata_t
- channels : uhd::stream_args_t
- cid : uhd::transport::vrt::if_packet_info_t
- cpu_format : uhd::stream_args_t

### - d -

- db_name : uhd::usrp::subdev_spec_pair_t
- dsp_freq : uhd::tune_request_t
- dsp_freq_policy : uhd::tune_request_t

### - e -

- end_of_burst : uhd::rx_metadata_t , uhd::tx_metadata_t
- eob : uhd::transport::vrt::if_packet_info_t
- error_code : uhd::rx_metadata_t
- event_code : uhd::async_metadata_t

### - f -

- fragment_offset : uhd::rx_metadata_t

### - g -

- get_range : uhd::gain_fcns_t
- get_value : uhd::gain_fcns_t

### - h -

- has_cid : uhd::transport::vrt::if_packet_info_t
- has_sid : uhd::transport::vrt::if_packet_info_t
- has_time_spec : uhd::tx_metadata_t , uhd::async_metadata_t , uhd::rx_metadata_t
- has_tlr : uhd::transport::vrt::if_packet_info_t
- has_tsf : uhd::transport::vrt::if_packet_info_t
- has_tsi : uhd::transport::vrt::if_packet_info_t

### - i -

- id : uhd::usrp::dboard_eeprom_t
- inet : uhd::transport::if_addrs_t
- input_format : uhd::convert::id_type

### - m -

- mangle_i2c_addrs : uhd::usrp::dboard_iface_special_props_t
- mask : uhd::transport::if_addrs_t
- miso_edge : uhd::spi_config_t
- more_fragments : uhd::rx_metadata_t
- mosi_edge : uhd::spi_config_t
- mtu : uhd::transport::udp_simple

### - n -

- name : uhd::sensor_value_t
- num_header_words32 : uhd::transport::vrt::if_packet_info_t
- num_inputs : uhd::convert::id_type
- num_outputs : uhd::convert::id_type
- num_packet_words32 : uhd::transport::vrt::if_packet_info_t
- num_payload_bytes : uhd::transport::vrt::if_packet_info_t
- num_payload_words32 : uhd::transport::vrt::if_packet_info_t
- num_samps : uhd::stream_cmd_t

### - o -

- otw_format : uhd::stream_args_t
- output_format : uhd::convert::id_type

### - p -

- packet_count : uhd::transport::vrt::if_packet_info_t
- packet_type : uhd::transport::vrt::if_packet_info_t
- pps_polarity : uhd::clock_config_t
- pps_source : uhd::clock_config_t

### - r -

- ref_source : uhd::clock_config_t
- revision : uhd::usrp::dboard_eeprom_t
- rf_freq : uhd::tune_request_t
- rf_freq_policy : uhd::tune_request_t

### - s -

- sd_name : uhd::usrp::subdev_spec_pair_t
- serial : uhd::usrp::dboard_eeprom_t
- set_value : uhd::gain_fcns_t
- shift : uhd::otw_type_t
- sid : uhd::transport::vrt::if_packet_info_t
- size : uhd::io_type_t
- sob : uhd::transport::vrt::if_packet_info_t
- soft_clock_divider : uhd::usrp::dboard_iface_special_props_t
- start_of_burst : uhd::tx_metadata_t , uhd::rx_metadata_t
- stream_mode : uhd::stream_cmd_t
- stream_now : uhd::stream_cmd_t

### - t -

- target_dsp_freq : uhd::tune_result_t
- target_freq : uhd::tune_request_t
- target_rf_freq : uhd::tune_result_t
- tid : uhd::io_type_t
- time_spec : uhd::stream_cmd_t , uhd::rx_metadata_t , uhd::async_metadata_t , uhd::tx_metadata_t
- tlr : uhd::transport::vrt::if_packet_info_t
- tsf : uhd::transport::vrt::if_packet_info_t
- tsi : uhd::transport::vrt::if_packet_info_t
- type : uhd::sensor_value_t

### - u -

- unit : uhd::sensor_value_t
- user_payload : uhd::async_metadata_t

### - v -

- value : uhd::sensor_value_t

### - w -

- width : uhd::otw_type_t